package org.implab.gradle.common.dsl;

import org.gradle.api.Buildable;
import org.gradle.api.tasks.TaskProvider;

public interface TaskReference {

    Object reference();

    public static TaskReference named(String name) {
        return () -> name;
    }

    public static TaskReference provider(TaskProvider<?> provider) {
        return () -> provider;
    }

    public static TaskReference buildable(Buildable dependency) {
        return () -> dependency;
    }

}
